
QGIS Application - Bug report #19891

crash while georeferencing

2018-09-19 03:30 PM - Angela Blanco-Vogt

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:3.0.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27715

Description

crash while georeferencing

Crash ID: c6af712116046a4bd5265d9d305b79937c515c76

Stack Trace

geos::geom::Envelope::Envelope :

geos::index::strtree::STRtree::insert :

geos::index::strtree::STRtree::createNode :

geos::index::strtree::STRtree::sortBoundables :

geos::index::strtree::AbstractSTRtree::createParentBoundables :

geos::index::strtree::STRtree::createParentBoundablesFromVerticalSlice :

geos::index::strtree::STRtree::createParentBoundablesFromVerticalSlices :

geos::index::strtree::STRtree::createParentBoundables :

geos::index::strtree::AbstractSTRtree::createHigherLevels :

geos::index::strtree::AbstractSTRtree::build :

geos::index::strtree::AbstractSTRtree::itemsTree :

geos::operation::geounion::CascadedUnion::Union :

geos::operation::geounion::CascadedUnion::Union :

geos::operation::geounion::UnaryUnionOp::unionWithNull :

geos::operation::geounion::UnaryUnionOp::Union :

geos::operation::geounion::UnaryUnionOp::Union :

geos::geom::Geometry::Union :

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::combine :

QgsGeometry::unaryUnion :

QgsSnappingUtils::~QgsSnappingUtils :

QgsSnappingUtils::snapToMap :

version :

QgsMapCanvas::mouseMoveEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :
QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: 8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.10586

History

#1 - 2018-09-19 08:31 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Hi, tickets must be filed in English, thanks for understanding. With regards.

#2 - 2018-09-19 11:00 PM - Jürgen Fischer

- Status changed from Closed to Feedback

- Subject changed from QGIS Crashed bei Geogererenzieren to crash while georeferencing

- Description updated

- Resolution deleted (invalid)

3.0 is EOL. Try with the latest release please.

#3 - 2019-02-11 05:05 AM - Nyall Dawson
- Resolution set to no timely feedback

- Status changed from Feedback to Closed
